Page MenuHomePhabricator

Archive the FormPreloadPostCache extension
Closed, ResolvedPublicRequest

Description

Reason
Not maintained, and I don't see purpose.

To-do list

Event Timeline

Kizule updated the task description. (Show Details)
Kizule removed a project: Other-skins.
Kizule removed a subscriber: MediaWiki-extensions-Other.

I will start with working on this, when someone confirm to this is ok TBD.

Dinoguy1000 renamed this task from Archive the FormPreloadPostCache extension/skin to Archive the FormPreloadPostCache extension.Jan 23 2020, 7:59 AM
Dinoguy1000 updated the task description. (Show Details)

Considering @tstarling is a WMF developer, archiving this extension probably should wait until he gives the go-ahead.

Considering @tstarling is a WMF developer, archiving this extension probably should wait until he gives the go-ahead.

Yes, right.

Kizule changed the task status from Open to Stalled.Mar 29 2020, 1:57 PM

Waiting for reply from @tstarling.

Considering @tstarling is a WMF developer, archiving this extension probably should wait until he gives the go-ahead.

I mean, you should always ping the maintainer before archiving an extension. I don't think it should matter whether or not they are associated with WMF.

I think it was an idea for solving a fundraising-related problem. They were using $wgRawHtml for delivering PayPal donation forms at the time. The first three commits show that it was a single day of work for me in 2007, but glaring bugs prove that it was never deployed. It can be archived.

Pppery changed the task status from Stalled to Open.Aug 13 2020, 1:45 PM

Change 620026 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Remove the FormPreloadPostCache extension

https://gerrit.wikimedia.org/r/620026

Change 620027 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive the FormPreloadPostCache extension

https://gerrit.wikimedia.org/r/620027

Change 620021 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/FormPreloadPostCache@master] Archive repository

https://gerrit.wikimedia.org/r/620021

Change 620021 merged by jenkins-bot:
[mediawiki/extensions/FormPreloadPostCache@master] Archive repository

https://gerrit.wikimedia.org/r/620021

Change 620026 merged by Hashar:
[mediawiki/extensions@master] Remove the FormPreloadPostCache extension

https://gerrit.wikimedia.org/r/620026

Change 620027 merged by jenkins-bot:
[integration/config@master] Archive the FormPreloadPostCache extension

https://gerrit.wikimedia.org/r/620027

hashar triaged this task as Medium priority.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.

All patches merged ( https://gerrit.wikimedia.org/r/q/bug:T243462 ) and I have done the administrative tasks in Diffusion / Github